Bug 131711 - Create User shows stack trace when login conflicts with existing login
Create User shows stack trace when login conflicts with existing login
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2004-09-03 09:58 EDT by Michael Bowman
Modified: 2007-04-18 13:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-03 13:09:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Bowman 2004-09-03 09:58:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
http://localhost:8080/newlogin/CreatePersonal.do?account_type=create_personal

When trying to create a new user with a login that already exists, we
get a Tomcat stacktrace.

We should be sending the user back to the input form with a "username
already exists" message.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.http://localhost:8080/newlogin/CreatePersonal.do?account_type=create_personal
2. create a user
3. attempt to create another user with the same login as created in step 2
    

Actual Results:  HTTP 500 - Tomcat Stacktrace

Expected Results:  Send back to form with error message

Additional info:
Comment 1 Chip Turner 2004-09-07 16:01:26 EDT
okay I've added code to protect against the user already existing, but
the error messaging is odd; seems stuck or something inside of tomcat.
 the checks are in and use the same error paths the rest of the code
does, but someone else more familiar with it needs to have a look
Comment 2 Mike McCune 2004-11-01 20:28:12 EST
Nice (when reproducing this bug):

Unrecoverable Stack Overflow: addr=b73623a9, ee=8801e38, er=b3369b00
JVMDG217: Dump Handler is Processing a Signal - Please Wait.
JVMDG303: JVM Requesting Java core file
JVMDG304: Java core file written to
/tmp/javacore.20041101.203140.15849.txt
JVMDG215: Dump Handler has Processed Exception Signal 11.

Note You need to log in before you can comment on or make changes to this bug.